package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgAlarmRule;

public interface PgAlarmRuleDao {

	public List<PgAlarmRule> findAllRule();
	public PgAlarmRule findRuleById(Integer id);
	
	public List<PgAlarmRule> findRuleListByDevtype(String devtype);
	public PgAlarmRule findRuleByDevice(Integer deviceId);
	public PgAlarmRule findRuleByDevtype(String devtype);
	
	public int updateWSHighThresholdByDevice(Integer deviceId, Double wd, Double sd);
	public int updateHighThresholdByDevice(Integer deviceId, Double high);
	public int updateLowThresholdByDevice(Integer deviceId, Double low);
}
